Subject: Re: bug#7185: 24.0.50; c-fill-paragraph regression

From: Alan Mackenzie <[email-masked]>
Date: Sun, 31 Oct 2010 12:04:43 +0000

Hi, John,

On Sun, Oct 10, 2010 at 11:53:15AM -0400, John Yates wrote:
> ==[ Before filling comment ]==
> 
> /*
>     >> abc
>     >> def
> */
> {
>     return 0;
> }

> ==[ Emacs 23.1.1, after filling (sub-optimal) ]==
> 
> /*
>     >> abc def */
> {
>     return 0;
> }

> ==[ Emacs 24.0.50.1, after filling (much worse) ]==
> 
> /*
>     >> abc def */ { return 0; }
> 

> The problem seems to associated with the fact the the comment close
> token (*/) is not preceded by an initial space (which, had it been
> present, would have cause the opening and closing asterisks to be
> aligned.

It was actually an off-by-1 error in `c-mask-paragraph'.  It's now fixed
(I hope :-).  I'd by grateful if you could try out the fix (now in the
bzr repository), just to make sure I haven't introduced a new bug.

Thanks for such a high quality bug report!
 
-- 
Alan Mackenzie (Nuremberg, Germany).